Debian::Control::Stanza::Source(3pm)

NAME
Debian::Control::Stanza::Source - source stanza of Debian source package control file

SYNOPSIS
    my $src = Debian::Control::Stanza::Source->new(\%data);
    print $src;                         # auto-stringification
    print $src->Build_Depends;          # Debian::Dependencies object

DESCRIPTION
Debian::Control::Stanza::Source can be used for representation and manipulation of "Source:" stanza of Debian source package control files in an object-oriented way. Converts itself to a textual representation in string context.

FIELDS
The supported fields for source stanzas are listed below. For more information about each field's meaning, consult the section named "Source package control files -- debian/control" of the Debian Policy Manual at <https://www.debian.org/doc/debian-policy/>

Note that real control fields may contain dashes in their names. These are replaced with underscores.

Source
Section
Priority
Maintainer
Uploaders
DM_Upload_Allowed
Build_Conflicts
Build_Conflicts_Indep
Build_Conflicts_Arch
Build_Depends
Build_Depends_Indep
Build_Depends_Arch
Standards_Version
Vcs_Browser
Vcs_Arch
Vcs_Bzr
Vcs_Cvs
Vcs_Darcs
Vcs_Git
Vcs_Hg
Vcs_Mtn
Vcs_Svn
Homepage
Testsuite
Rules_Requires_Root

All Build_... fields are converted into objects of Debian::Dependencies class upon construction.

CONSTRUCTOR

new
new( { field => value, ... } )
    Creates a new Debian::Control::Stanza::Source object and optionally initializes it with the supplied data.

SEE ALSO
Debian::Control::Stanza::Source inherits most of its functionality from Debian::Control::Stanza

COPYRIGHT & LICENSE
Copyright (C) 2009 Damyan Ivanov dmn@debian.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.